<?xml version="1.0"?>
<document>

  <properties>
    <title>Maven Castor Plug-in Examples</title>
    <author email="tma@netspace.net.au">Tim Anderson</author>
  </properties>

  <body>
    <section name="Examples">
      <p>
        The following generates java sources for the foo.xsd' schema,
        in the 'com.foo.bar' package. The sources will use Java 2 collection
        types.
       
<source><![CDATA[

  <preGoal name="java:compile">
    <attainGoal name="castor:prepare-filesystem"/>
    <castor:generate schema="src/schemas/foo.xsd"
                     package="com.foo.bar"
                     types="j2"/>
  </preGoal>

]]></source>
      </p>
      <p>
        The following generates java sources for the 'bar.xsd' schema.
        The sources will not included marshalling support (marshal,
        unmarshal, validate).
               
<source><![CDATA[

  <preGoal name="java:compile">
    <attainGoal name="castor:prepare-filesystem"/>
    <castor:generate schema="src/schemas/types.xsd"
                     marshal="false"/>
  </preGoal>

]]></source>
      </p>
    </section>
  </body>
</document>
